<script setup lang="ts">
// import { useTypeStore } from '@/Type/stores/type'
import { ref } from 'vue'
import { useEmployeeStore } from '../stores/employee'

const empStore = useEmployeeStore()
// const typeStore = useTypeStore()
const month = ref(1)
const year = ref(2024)
const empId = ref(1)
</script>

<template>
  <v-dialog v-model:model-value="empStore.checkDialog" style="width: 800px">
    <v-card class="pa-5" title="Get Attendance">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="6">
              <v-text-field v-model="month" label="เดือนที่ต้องการดู"></v-text-field>
            </v-col>
            <v-col cols="6">
              <v-text-field v-model="year" label="ปีที่ต้องการดู"> </v-text-field>
            </v-col>
            <v-col cols="6">
              <v-text-field v-model="empId" label="รหัสพนักงาน"></v-text-field>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="empStore.closeDialogCheck()"> Cancel </v-btn>
          <v-btn @click="empStore.getAttendence(month, empId, year)"> OK </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>
